Topic
IC4NOTICE: developerWorks Community will be offline May 29-30, 2015 while we upgrade to the latest version of IBM Connections. For more information, read our upgrade FAQ.
7 replies Latest Post - ‏2014-03-24T13:40:37Z by WalterVanDerHeiden
WalterVanDerHeiden
WalterVanDerHeiden
56 Posts
ACCEPTED ANSWER

Pinned topic Rhapsody Architect cannot be used with Eclipse

‏2013-11-27T08:47:04Z |

Hi

We are working with Rhapsody Architect for Software and we tried to use this in Eclipse. When I opened a project an error message cam up that said I could not use Rhapsody to do multi-language projects.

What do I do wrong? or is it not possible to use Architect under Eclipse?

 

Walter

  • JeanZ
    JeanZ
    203 Posts
    ACCEPTED ANSWER

    Re: Rhapsody Architect cannot be used with Eclipse

    ‏2013-11-29T05:20:59Z  in response to WalterVanDerHeiden

    Hi

    Though I didn't really try I think Eclipse Platform Integration is a supported feature to both Developer and Architect for Software editions.

    What project you tried to open from eclipse? a sample model or a model you created?

    As what's mentioned in the error, does the model you trying to open have multiple languages (for example both having C++ unit and C unit in the model?)

    Regards

     

    • WalterVanDerHeiden
      WalterVanDerHeiden
      56 Posts
      ACCEPTED ANSWER

      Re: Rhapsody Architect cannot be used with Eclipse

      ‏2013-11-29T06:09:55Z  in response to JeanZ

      I installed the Rhapsody eclipse plugin in my Kepler Eclipse. After opening Eclipse, i opened the New Project menu. Rhapsody shows up there but after trying to open a new Rhapsody project (without mentioning any languages) the license error comes. 

      Updated on 2013-11-29T07:23:35Z at 2013-11-29T07:23:35Z by WalterVanDerHeiden
      • JeanZ
        JeanZ
        203 Posts
        ACCEPTED ANSWER

        Re: Rhapsody Architect cannot be used with Eclipse

        ‏2013-11-29T07:22:29Z  in response to WalterVanDerHeiden

        Hi,

        What version of Rhapsody you are using?

        There was a known problem on 7.6.1, see below link please.

        http://www-01.ibm.com/support/docview.wss?uid=swg1PM59289

        regards

        • WalterVanDerHeiden
          WalterVanDerHeiden
          56 Posts
          ACCEPTED ANSWER

          Re: Rhapsody Architect cannot be used with Eclipse

          ‏2013-11-29T07:30:14Z  in response to JeanZ

          Thanks JeanZ!

          No i'm not using 7.6, we use 8.0.2 (waiting for 8.0.5, then we upgrade to that)

           

          Walter

          • JeanZ
            JeanZ
            203 Posts
            ACCEPTED ANSWER

            Re: Rhapsody Architect cannot be used with Eclipse

            ‏2013-11-29T09:08:26Z  in response to WalterVanDerHeiden

            I tried in my env, it works well when I creating a new model from eclipse with 8.0.2 architect for software.

            are you sure you have installed the plugin correctly?

            There are totally 4 options available during installation, the one I choose is highlighted in the attachment.

            Or you can paste the error screenshot here for others understand more.

            Regards

            Attachments

            • WalterVanDerHeiden
              WalterVanDerHeiden
              56 Posts
              ACCEPTED ANSWER

              Re: Rhapsody Architect cannot be used with Eclipse

              ‏2013-12-09T15:01:31Z  in response to JeanZ

              Hi

               

              I cannot open the png file unfortunately. 

              I installed the Eclipse plugin by just copying the Rhapsody directory over the eclipse directory. I did not realize there was an install.

               

              Walter

              • WalterVanDerHeiden
                WalterVanDerHeiden
                56 Posts
                ACCEPTED ANSWER

                Re: Rhapsody Architect cannot be used with Eclipse

                ‏2014-03-24T13:40:37Z  in response to WalterVanDerHeiden

                This is solved. It turned out that in the Rhapsody.ini file the "DefaultVersion" was set to Developer.